Skip to main content
GET
/
public
/
v2
/
bank-match
/
suggestions
List bank-match suggestions
curl --request GET \
  --url https://api.dualentry.com/public/v2/bank-match/suggestions/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "id": 123,
      "financial_transaction_id": 123,
      "transaction_id": 123,
      "confidence_score": "<string>"
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

financial_transaction_id
integer | null
suggestion_type
enum<string> | null
Available options:
match,
create
is_highest_ranked
boolean | null
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicBankMatchSuggestionSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026